# -*- text -*-

mschap {
	use_mppe = {{config.mods.mschap.use_mppe|safe}}
	require_encryption = {{config.mods.mschap.require_encryption|safe}}
	require_strong = {{config.mods.mschap.require_strong|safe}}
	with_ntdomain_hack = yes
	{% if config.method.adauth %}# enable ActiveDirectory
	ntlm_auth = "/usr/bin/ntlm_auth --request-nt-key --username=%{mschap:User-Name:-None} --domain=%{%{mschap:NT-Domain}:-MYDOMAIN} --challenge=%{mschap:Challenge:-00} --nt-response=%{mschap:NT-Response:-00}"
	{% else %}# disable ActiveDirectory
	{% endif %}
	ntlm_auth_timeout = {{config.mods.mschap.ntlm_auth_timeout|safe}}
	use_open_directory = {{config.mods.mschap.use_open_directory|safe}}
	allow_retry = {{config.mods.mschap.allow_retry|safe}}
	retry_msg = {{config.mods.mschap.retry_msg|safe}}
}
