# -*- text -*-
##
## clients.conf -- client configuration directives
##

{% for client in clients %}
{% if client.ipv4addr != "" %}
client {{client.name|safe}}_ipv4{
    ipaddr   = {{client.ipv4addr|safe}}
    secret   = {{client.secret|safe}}
    nas_type = {{client.nas_type|safe}}
}
{% endif %}
{% if client.ipv6addr != "" %}
client {{client.name|safe}}_ipv6{
    ipaddr   = {{client.ipv6addr|safe}}
    secret   = {{client.secret|safe}}
    nas_type = {{client.nas_type|safe}}
}
{% endif %}
{% endfor %}

client localhost {
	ipaddr = 127.0.0.1
	secret = testing123
	require_message_authenticator = no
	nas_type	 = other
}

client localhost_ipv6 {
	ipv6addr	= ::1
	secret		= testing123
}
